org.eclipse.swt.browser

## Class LocationAdapter

- java.lang.Object
- - org.eclipse.swt.browser.LocationAdapter

All Implemented Interfaces:
  LocationListener

    public abstract class LocationAdapter
    extends java.lang.Object
    implements LocationListener

This adapter class provides default implementations for the methods described by the `LocationListener` interface.

Classes that wish to deal with `LocationEvent`'s can extend this class and override only the methods which they are interested in.

Since:
  1.3

### Constructor Summary

Constructors
Constructor and Description
`LocationAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `changed(LocationEvent event)` This method is called when the current location is changed.
`void` `changing(LocationEvent event)` This method is called when the current location is about to be changed.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LocationAdapter

    public LocationAdapter()

### Method Detail

#### changing

    public void changing(LocationEvent event)

Description copied from interface: `LocationListener`
This method is called when the current location is about to be changed.

The following fields in the `LocationEvent` apply:

- (in) location the location to be loaded
- (in) widget the `Browser` whose location is changing
- (in/out) doit can be set to `false` to prevent the location from being loaded

Specified by:
  `changing` in interface `LocationListener`
Parameters:
  `event` - the `LocationEvent` that specifies the location to be loaded by a `Browser`

#### changed

    public void changed(LocationEvent event)

Description copied from interface: `LocationListener`
This method is called when the current location is changed.

The following fields in the `LocationEvent` apply:

- (in) location the current location
- (in) top `true` if the location opens in the top frame or `false` otherwise
- (in) widget the `Browser` whose location has changed

Specified by:
  `changed` in interface `LocationListener`
Parameters:
  `event` - the `LocationEvent` that specifies the new location of a `Browser`

Copyright (c) EclipseSource and others 2002, 2020. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0